Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD
              com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference

All Implemented Interfaces:
  com.sun.jna.Structure.ByReference

Enclosing class:
  NTSecApi.LSA_FOREST_TRUST_RECORD

    public static class NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference

extends NTSecApi.LSA_FOREST_TRUST_RECORD
implements com.sun.jna.Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD
`NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference, NTSecApi.LSA_FOREST_TRUST_RECORD.UNION`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD
`Flags, ForestTrustType, Time, u`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference()`

Method Summary

Methods inherited from class com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD
`read`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference

    public NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD